<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:paddingBottom="@dimen/deliver"
    android:orientation="vertical">


    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:id="@+id/vp_user"
        android:layout_height="wrap_content"
        >

        <ImageView
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:id="@+id/img_bg"
            android:scaleType="centerCrop"
            android:src="@mipmap/bg_main_me"
            />

        <com.makeramen.roundedimageview.RoundedImageView
            android:layout_width="60dp"
            android:layout_height="60dp"
            tools:src="@drawable/round_green"
            app:riv_oval="true"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginLeft="15dp"

            android:id="@+id/img_avator"
            android:scaleType="centerCrop"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            tools:text="李二狗"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_17"
            android:textStyle="bold"
            app:layout_constraintLeft_toRightOf="@+id/img_avator"
            app:layout_constraintTop_toTopOf="@+id/img_avator"
            app:layout_constraintBottom_toTopOf="@+id/tv_id"
            android:layout_marginLeft="10dp"
            android:id="@+id/tv_name"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="20dp"
            tools:text="ID:88881234"
            android:textColor="@color/white"
            android:textSize="@dimen/text_size_12"
            app:layout_constraintTop_toBottomOf="@+id/tv_name"
            app:layout_constraintLeft_toLeftOf="@+id/tv_name"
            android:id="@+id/tv_id"
            app:layout_constraintBottom_toBottomOf="@id/img_avator"
            />
        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="37dp"
            android:paddingRight="10dp"
            android:id="@+id/vp_follow_lecturers"
            app:layout_constraintTop_toBottomOf="@id/tv_id"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="@id/tv_name"
            android:layout_marginBottom="@dimen/default_margin"
            android:gravity="center_vertical"
            android:orientation="horizontal"

            >
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/follow_instructor"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_11"
                />
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                tools:text="28"
                android:textColor="@color/white"
                android:textSize="@dimen/text_size_15"
                android:id="@+id/tv_follow_lecturers"
                />
        </LinearLayout>


        <ImageView
            android:layout_width="15dp"
            android:layout_height="15dp"
            android:src="@mipmap/icon_arrow_right"
            android:tint="@color/white"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="@id/img_avator"
            app:layout_constraintBottom_toBottomOf="@id/img_avator"
            android:layout_marginRight="15dp"
            />
        
        <TextView
            android:layout_width="60dp"
            android:layout_height="17dp"
            android:text="@string/lecturer_homepage"
            android:textSize="@dimen/text_size_10"
            android:textColor="@color/white"
            android:gravity="center"
            android:id="@+id/v_teacher_tag"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toBottomOf="@+id/vp_follow_lecturers"
            app:layout_constraintTop_toTopOf="@+id/vp_follow_lecturers"
            android:layout_marginRight="15dp"
            android:visibility="invisible"
            android:background="@drawable/bond_color_white_radius_20"
            />
        
    </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.recyclerview.widget.RecyclerView
        android:layout_width="match_parent"
        android:id="@+id/reclyView"
        android:layout_height="match_parent"/>

</LinearLayout>